curl --request GET \
--url "${UNSTRUCTURED_API_URL}/api/v1/sources/a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetSourceRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.sources.get_source(
request=GetSourceRequest(
source_id="a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d"
)
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetSourceRequest
async def get_source():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.sources.get_source_async(
request=GetSourceRequest(
source_id="a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d"
)
)
print(response)
asyncio.run(get_source())
{
"id": "a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
"name": "My S3 Source",
"type": "s3",
"config": {
"remote_url": "s3://my-bucket/input/",
"access_key_id": "AKIAIOSFODNN7EXAMPLE",
"secret_access_key": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY",
"recursive": true
},
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-01-15T12:00:00Z"
}
Source
Get source connector
Retrieve detailed information for a specific source connector.
GET
/
api
/
v1
/
sources
/
{source_id}
curl --request GET \
--url "${UNSTRUCTURED_API_URL}/api/v1/sources/a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetSourceRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.sources.get_source(
request=GetSourceRequest(
source_id="a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d"
)
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetSourceRequest
async def get_source():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.sources.get_source_async(
request=GetSourceRequest(
source_id="a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d"
)
)
print(response)
asyncio.run(get_source())
{
"id": "a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
"name": "My S3 Source",
"type": "s3",
"config": {
"remote_url": "s3://my-bucket/input/",
"access_key_id": "AKIAIOSFODNN7EXAMPLE",
"secret_access_key": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY",
"recursive": true
},
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-01-15T12:00:00Z"
}
Path parameters
The unique identifier of the source connector.
Response
Unique identifier for the source connector.
Source connector name.
Connector type.
Connector configuration. Fields vary by connector
type.ISO 8601 timestamp when the connector was created.
ISO 8601 timestamp when the connector was last updated.
curl --request GET \
--url "${UNSTRUCTURED_API_URL}/api/v1/sources/a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetSourceRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.sources.get_source(
request=GetSourceRequest(
source_id="a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d"
)
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetSourceRequest
async def get_source():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.sources.get_source_async(
request=GetSourceRequest(
source_id="a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d"
)
)
print(response)
asyncio.run(get_source())
{
"id": "a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
"name": "My S3 Source",
"type": "s3",
"config": {
"remote_url": "s3://my-bucket/input/",
"access_key_id": "AKIAIOSFODNN7EXAMPLE",
"secret_access_key": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY",
"recursive": true
},
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-01-15T12:00:00Z"
}
Was this page helpful?
⌘I

